## uqm 0.4.0

=== src/abxadec/Makefile ===
uqm_CFLAGS=-W -Wall -g -O0
uqm_INCLUDE=-I .. -I ../sc2code -I ../sc2code/libs
uqm_LDFLAGS=-shared

abxadec.so: abxaud.c abxaud.h
	gcc $(uqm_CFLAGS) $(uqm_INCLUDE) $(uqm_LDFLAGS) abxaud.c -o abxadec.so

clean:
	rm abxadec.so

## uqm 0.6.2.dfsg

=== tools/keys/Makefile ===
all: keyjam.c
	gcc $(shell sdl-config --cflags) -o keyjam keyjam.c $(shell sdl-config --libs) -lSDL_gfx

clean:
	rm -f keyjam

=== sc2/src/abxadec/Makefile ===
uqm_CFLAGS=-W -Wall -g -O0 -fPIC
uqm_INCLUDE=-I .. -I ../sc2code -I ../sc2code/libs
uqm_LDFLAGS=-shared

abxadec.so: abxaud.c abxaud.h
	gcc $(uqm_CFLAGS) $(uqm_INCLUDE) $(uqm_LDFLAGS) abxaud.c -o abxadec.so

clean:
	rm abxadec.so

=== debian/changelog ===
uqm (0.6.2.dfsg-9.7) unstable; urgency=medium

  [ Matija Nalis ]
  * Non-maintainer upload.
  * Disable PIE again on i386, it breaks the build there.
    Closes: #1003655.

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Jan 2022 11:58:53 +0100

uqm (0.6.2.dfsg-9.6) unstable; urgency=medium

  [ Matija Nalis ]
  * Non-maintainer upload.
  * Update the VCS URIs to point to Salsa.
  * Update debian/watch to track the latest releases.
  * Switch to debhelper compatibility level 13, using dh.
    Closes: #999132.
  * Re-enable PIE, the workaround for #843979 is no longer needed.

 -- Stephen Kitt <skitt@debian.org>  Tue, 11 Jan 2022 20:57:14 +0100

uqm (0.6.2.dfsg-9.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Move all strings.h headers to ustrings.h, closes: #887028 (thanks to
    Gwyn Ciesla for the fix).

 -- Stephen Kitt <skitt@debian.org>  Thu, 25 Jan 2018 19:37:27 +0100

uqm (0.6.2.dfsg-9.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable PIE, closes: #843979 (see also
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=78311).

 -- Stephen Kitt <skitt@debian.org>  Thu, 01 Dec 2016 07:57:51 +0100

uqm (0.6.2.dfsg-9.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use pkg-config to pull in the libmikmod configuration, closes:
    #745094.

 -- Stephen Kitt <skitt@debian.org>  Tue, 31 May 2016 12:53:09 +0200

uqm (0.6.2.dfsg-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to source format 3.0 (quilt).
  * Switch to debhelper compat level 5.  (Closes: #817308, #817709)
  * B-D on libmikmod-dev instead of libmikmod2-dev.  (Closes: #745094)
  * Fix typo in short description.  (Closes: #751601)
  * Move icon to /usr/share/pixmaps.  (Closes: #680262)
  * Fix German desktop entry.  (Closes: #769945)
  * Use canonical https URLs for Vcs-*.
  * Enable hardened and verbose build.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Apr 2016 17:27:25 +0200

uqm (0.6.2.dfsg-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix missing -lm, thanks to Peter Piwowarski.  (Closes: #792920)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Sep 2015 12:37:50 +0200

uqm (0.6.2.dfsg-9) unstable; urgency=low

  * Added .desktop file, closes: #452650,
    thanks "Emmet Hikory" <emmet.hikory@gmail.com>
  * GIT-repo has been created in git.debian.org.
  * Added VCS-* records to debian/control.
  * Added icon to debian's menu.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 02 Feb 2009 12:38:13 +0300

uqm (0.6.2.dfsg-8) unstable; urgency=low

  * New maintainer, closes: #487476.
  * Standards-Version bumped to 3.8.0.
  * Obsolete package `libglu1-xorg-dev' has been removed from build-depends.
  * README.Debian has been removed (uqm-music/voice uploaded to non-free).

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 23 Jun 2008 18:27:47 +0400

uqm (0.6.2.dfsg-7) unstable; urgency=low

  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Jun 2008 22:04:57 -0400

uqm (0.6.2.dfsg-6) unstable; urgency=low

  * Add Homepage field.
  * Update copyright file to new format.
  * Fix man page whatis entry.

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Apr 2008 16:54:22 -0400

uqm (0.6.2.dfsg-5) unstable; urgency=low

  * The patch applied in -3 was broken, since uio_MOUNT_TOP is not the inverse
    of uio_MOUNT_BELOW. The correct thing to use is uio_MOUNT_ABOVE. This
    fixes support for zipped addons. Closes: #437612

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Aug 2007 14:09:09 -0400

uqm (0.6.2.dfsg-4) unstable; urgency=low

  * Update to new menu policy and de-hardcode path in menu file.
    Closes: #432135

 -- Joey Hess <joeyh@debian.org>  Sun, 08 Jul 2007 16:36:56 -0400

uqm (0.6.2.dfsg-3) unstable; urgency=low

  * Since the debian packages ship content uncompressed from the zip files to
    save 2x the space in the packages, support add-on zips by making files
    from zips override unpacked files. The default behavior is the other way
    around. Closes: #425524 Thanks, Emmet Hikory.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 May 2007 13:55:14 -0400

uqm (0.6.2.dfsg-2) unstable; urgency=low

  * Add replaces on uqm-content due to moved file. Closes: #415348

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Mar 2007 15:32:52 -0400

uqm (0.6.2.dfsg-1) unstable; urgency=low

  * Forgot to remove the CC licensed docs from 0.6.2. Repackage the upstream
    tarball, and tack on a "dfsg" to the version so I won't forget this in the
    future.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Jan 2007 20:25:27 -0500

uqm (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Jan 2007 04:47:05 -0500

uqm (0.6.1-2) unstable; urgency=low

  * Add -g to CFLAGS.
  * Pull fix from svn for a crasher when saving a game. Closes: #406777

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Jan 2007 19:44:08 -0500

uqm (0.6.1-1) unstable; urgency=low

  * New upstream release. Closes: #404152
    - Featuring networked Super Melee!
    - Now usable on 64 bit systems. Closes: #350129
  * Now needs a build dep on libmikmod2-dev.
  * In this version, documentation, excluding documentation that is
    "part of the code or otherwise clearly governed" by the license of the
    code, is licensed under the Creative Commons Attribution 2.0 license.
    Since that license is not DFSG free, this documentation has been stripped
    from the source tarball. I'm considering the README, changelog, etc, to
    be clearly part of the code, but docs in sc2/doc/devel and sc2/doc/users
    (including the manual) are not, and thus appear to be licensed under the CC
    license now, and are removed.
  * Removed text in the man page that was originally copied from the manual.
    Sigh.
  * Updated the man page to document new options.

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Jan 2007 02:33:57 -0500

uqm (0.5.0-3) unstable; urgency=low

  * Remove CVS directories in clean, they're in the upstream tarball
    and leaked into the deb. Closes: #400614


=== debian/control ===
Source: uqm
Section: contrib/games
Priority: optional
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Build-Depends: debhelper-compat (= 13),
 libogg-dev,
 libvorbis-dev,
 libsdl-image1.2-dev,
 libsdl1.2-dev,
 libz-dev,
 libmikmod-dev,
 pkg-config,
Standards-Version: 3.8.0
Homepage: http://sc2.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/uqm
Vcs-Git: https://salsa.debian.org/games-team/uqm.git

Package: uqm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 uqm-content (>= 0.6.0),
Replaces: uqm-content
Recommends: uqm-music (>= 0.4)
Suggests: uqm-voice (>= 0.4)
Description: The Ur-Quan Masters - An inter-galactic adventure game
 You return to Earth with a vessel built from technology discovered from an
 ancient race called the Precursors only to find it enslaved. Gather allies
 from a wide variety of races, engage in space combat with various foes, and
 save the galaxy from the Ur-Quan!
 .
 The Ur-Quan Masters is derived from the classic game Star Control II.
 It includes both the adventure game described above and a fast-paced
 Super Melee.
 .
 See the README.Debian once you have installed this package for information
 about where to get the uqm-music and uqm-voice packages.

=== debian/rules ===
#!/usr/bin/make -f

export MAKE_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# FTBFS only on i386 when PIE hardening is used (#843979), so disable PIE there
CPU_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
ifeq (i386,$(CPU_ARCH))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	cp debian/config.state sc2
	echo | (cd sc2 && ./build.sh uqm config)

override_dh_auto_build:
	cd sc2 && ./build.sh uqm

override_dh_auto_clean:
	cd sc2 && ./build.sh uqm clean
	rm -rf sc2/obj sc2/uqm
	dh_clean sc2/config.status build-stamp configure-stamp sc2/build.vars \
		sc2/build/unix/uqm sc2/uqm-wrapper

override_dh_auto_install:
	dh_installdirs usr/games usr/share/games
	cd sc2 && DESTDIR=${CURDIR}/debian/uqm ./build.sh uqm install
	install -m 0755 -d ${CURDIR}/debian/uqm/usr/share/pixmaps/
	install -m 0644 debian/uqm.xpm ${CURDIR}/debian/uqm/usr/share/pixmaps/
	install -m 0755 -d ${CURDIR}/debian/uqm/usr/share/applications/
	install -m 0644 debian/uqm.desktop \
		 ${CURDIR}/debian/uqm/usr/share/applications/

override_dh_installchangelogs:
	dh_installchangelogs sc2/ChangeLog

override_dh_installdocs:
	dh_installdocs sc2/AUTHORS sc2/README sc2/BUGS \
		sc2/WhatsNew sc2/Contributing

override_dh_installman:
	dh_installman debian/uqm.6

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_clean override_dh_auto_install override_dh_installchangelogs override_dh_installdocs override_dh_installman

=== debian/watch ===
version=2
opts="dversionmangle=s/.dfsg//" https://qa.debian.org/watch/sf.php/sc2/ uqm-(.*)-(src|source).tgz

## uqm 0.8.0%2Bdfsg

=== debian/tests/control ===
Tests: savegames
Depends:
 coreutils,
 uqm,
 uqm-content,
 x11-apps,
 xauth,
 xdotool,
 xvfb,

## uqm 0.8.0+dfsg

=== debian/changelog ===
uqm (0.8.0+dfsg-4) unstable; urgency=medium

  [ Matija Nalis ]
  * marks tests as flaky. (Closes: #1114754)
  * incresases timeouts & delays in tests to allow slower archs
  * add extra timestamp logging in tests for easier debug

  [ Alexandre Detiste ]
  * Build-depend on pkgconf instead of the obsolete pkg-config.

  [ Stephen Kitt ]
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Standards-Version 4.7.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 29 Oct 2025 13:59:57 +0100

uqm (0.8.0+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually change autopkgtest timeout (Closes: #1103002)

 -- Michael Stone <mstone@debian.org>  Mon, 14 Apr 2025 12:09:38 -0400

uqm (0.8.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Lengthen autopkgtest timeout (Closes: #1103002)

 -- Michael Stone <mstone@debian.org>  Mon, 14 Apr 2025 11:31:19 -0400

uqm (0.8.0+dfsg-3) unstable; urgency=medium

  [ Matija Nalis ]
  * Add delay to autopkgtest to fix name of savegame (Closes: #1051783)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 02 Feb 2025 23:57:51 +0100

uqm (0.8.0+dfsg-2) unstable; urgency=medium

  [ Matija Nalis ]
  * Disable sound entirely in the autopkg test.

 -- Stephen Kitt <skitt@debian.org>  Sat, 03 Sep 2022 16:58:28 +0200

uqm (0.8.0+dfsg-1) unstable; urgency=medium

  [ Matija Nalis ]
  * New upstream release. (Closes: #640881)
    - should allow user to fix aspect ratio in setup (Closes: #483637)
    - use SDL2 instead of SDL1
    - use .uqm files directly instead of unpacking them, as it makes
      Debian package more compatible with upstream and does not require
      problematic patches
    - update existing debian patches (and drop strings patch which is no
      longer needed since 0.7.0)
  * upgrade d/copyright to DEP5 (with more details for debian packaging)
  * upgrade d/watch and d/copyright to automatically create DFSG archive
    by removing doc/*
  * change versioning to recommended +dfsg instead of .dfsg
  * update to newer Standards-Version; Rules-Requires-Root in d/control
  * simplify CPU architecture detect for build
  * update desktop file entry to get rid of warnings
  * add autopkgtest
  * add lintian source/binary overrides (with comments)
  * simplify d/rules overrides
  * document bigger changes in d/NEWS

  [ Stephen Kitt ]
  * Adopt the package for the games team. Closes: #1010861.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Aug 2022 18:48:44 +0200

=== debian/control ===
Source: uqm
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dmitry E. Oboukhov <unera@debian.org>,
           Matija Nalis <mnalis-deb@voyager.hr>,
           Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13),
 libogg-dev,
 libvorbis-dev,
 libpng-dev,
 libsdl2-dev,
 libz-dev,
 libmikmod-dev,
 pkgconf,
Standards-Version: 4.7.2
Homepage: http://sc2.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/uqm
Vcs-Git: https://salsa.debian.org/games-team/uqm.git

Package: uqm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 uqm-content (>= 0.8.0),
Replaces: uqm-content
Recommends: uqm-music (>= 0.8)
Suggests: uqm-voice (>= 0.8)
Description: The Ur-Quan Masters - An inter-galactic adventure game
 You return to Earth with a vessel built from technology discovered from an
 ancient race called the Precursors only to find it enslaved. Gather allies
 from a wide variety of races, engage in space combat with various foes, and
 save the galaxy from the Ur-Quan!
 .
 The Ur-Quan Masters is derived from the classic game Star Control II.
 It includes both the adventure game described above and a fast-paced
 Super Melee.

=== debian/rules ===
#!/usr/bin/make -f

export MAKE_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# FTBFS only on i386 when PIE hardening is used (#843979), so disable PIE there
ifeq (i386,$(DEB_BUILD_ARCH_CPU))
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	cp debian/config.state .
	echo | ./build.sh uqm config

override_dh_auto_build:
	./build.sh uqm

override_dh_auto_clean:
	./build.sh uqm clean
	rm -rf obj uqm uqm-debug

override_dh_auto_install:
	DESTDIR=${CURDIR}/debian/uqm ./build.sh uqm install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

.PHONY: override_dh_auto_configure override_dh_auto_build override_dh_auto_clean override_dh_auto_install override_dh_installchangelogs

=== debian/tests/control ===
Tests: savegames
Restrictions: flaky
Depends:
 coreutils,
 moreutils,
 uqm,
 uqm-content,
 x11-apps,
 xauth,
 xdotool,
 xvfb,

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg" \
 https://qa.debian.org/watch/sf.php/sc2/ \
 uqm-@ANY_VERSION@-(?:src|source)@ARCHIVE_EXT@ \
 debian uupdate
